include:
  - project: 'quiqqer/semantic-release'
    file: '/ci-templates/.gitlab-ci.yml'
stages:
#    - lint
  - release
##validate_merge_request_source_branch:
##  stage: validate
##  script:
##    - echo "Job runs to validate merge request source branch"
##    - echo "Testing failed validation"
##    - exit 1
##  rules:
##    - if: $CI_PIPELINE_SOURCE == 'merge_request_event' && #$CI_MERGE_REQUEST_TARGET_BRANCH_NAME == "master"
##    - if: $CI_PIPELINE_SOURCE == 'merge_request_event' && #$CI_MERGE_REQUEST_TARGET_BRANCH_NAME == "main"
##    - if: $CI_PIPELINE_SOURCE == 'merge_request_event' && #$CI_MERGE_REQUEST_TARGET_BRANCH_NAME =~ /^(\d\.)?\d.x$/
#lint:commit:
#  stage: lint
#  image: node:18-slim
#  script:
#    - echo "${CI_COMMIT_MESSAGE}" | npx commitlint
